data:
- __class__:
    module: tmt.steps.prepare.install
    name: PrepareInstallData
  copr: []
  directory: []
  exclude: []
  how: install
  missing: fail
  name: default-0
  order: 50
  package:
  - jq
  - yq
  - make
  - python3-pip
  - python3-pytest
  summary: null
  when: []
  where: []
- __class__:
    module: tmt.steps.prepare.shell
    name: PrepareShellData
  how: shell
  name: default-1
  order: 50
  ref: null
  script:
  - "mkdir -p ~/.koji\nif [ -f ~/.koji/config ]; then\n  echo \"~/.koji/config was
    already set:\"\n  cat ~/.koji/config\nelse\n  cat <<EOF > ~/.koji/config\n[koji]\nanon_retry
    = true\nEOF\nfi\n"
  summary: Make sure we run koji commands with automatic retry to avoid 50x errors
  url: null
  when: []
  where: []
- __class__:
    module: tmt.steps.prepare.install
    name: PrepareInstallData
  copr: []
  directory: []
  exclude: []
  how: install
  missing: fail
  name: present
  order: 50
  package:
  - tmt
  summary: Make sure tmt is present
  when: []
  where: []
- __class__:
    module: tmt.steps.prepare.shell
    name: PrepareShellData
  how: shell
  name: minimal
  order: 90
  ref: null
  script:
  - dnf remove -y 'tmt+*' --exclude tmt
  summary: No subpackages are installed
  url: null
  when: []
  where: []
status: done
